GEDIT(1)

NAME
gedit - simple text editor for GNOME The gedit application is a simple text editor. You can use gedit to create and edit text files. You can use gedit plugins to perform a variety of tasks related to text-editing from within the gedit window.

SYNTAX
gedit [--help] [--encoding] [--new-window] [--new-document] [--quit] [filename(s)...]

DESCRIPTION
gedit is a text editor for the GNOME Desktop.

OPTIONS

--help
    Prints the command line options.

--encoding
    Set the character encoding to be used for opening the files listed on the command line".

--new-window
    Create a new toplevel window in an existing instance of gedit.

--new-document
    Create a new document in an existing instance of gedit.

--quit
    Quit an existing instance of gedit.

filename(s)...
    Specifies the file to open when gedit starts - if this is not specified, gedit will load a blank file with an Untitled label. Multiple files can be loaded if they are separated by spaces. gedit also supports handling of remote files. For example, you can pass the location of a webpage to gedit, like "http://www.gnome.org", or load a file from a FTP server, like "ftp://ftp.gnome.org/robots.txt".

PIPES
Gedit accepts pipes, so it can be run after another command to load the output into gedit. For example :

ls -l | gedit

BUGS
If you find a bug, please report it at http://bugzilla.gnome.org/enter_bug.cgi?product=gedit.

AUTHORS
Paolo Maggi (maggi@athena.polito.it)

James Willcox (jwillcox@cs.indiana.edu)

Federico Mena Quintero (federico@ximian.com)

Chema Celorio (chema@celorio.com)